Bug 14617 - ssh won't terminate when pulse runs as daemon
ssh won't terminate when pulse runs as daemon
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: piranha (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-25 10:56 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-25 12:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2000-07-25 10:56:50 EDT
When ssh is my "rsh_command" , it isn't terminating after executing
"uptime" on the remote host. So the real server will not be removed from
the cluster when the service (ex. apache) on it is down.

When running "pulse -n" all goes normal.

It occurs in  piranha-0.4.14-1.i386.rpm
Comment 1 Red Hat Bugzilla 2000-07-25 12:36:36 EDT
We believe this problem was already addressed in fixed in the current release of
piranha (0.4.16). These RPMs are posted on http://people.redhat.com/kbarrett/HA/

The problem that was corrected was to deal with open pipes on the fork() call.

By default, they also require the ipvsadm RPMs, and a kernel upgrade, in order
to install. They "should" install on your existing system (without the ipvsadm
upgrade) if you force it (i.e. specify "-f" on your RPM install), but if you
experience any problems you'll have to upgrade before we can be of help.

Can you try the updated software and tell us what happens?
Comment 2 Red Hat Bugzilla 2000-09-11 21:41:20 EDT
No reply from user, but others that had experienced this same problem report
that it is now resolved by the updated RPMs.

Note You need to log in before you can comment on or make changes to this bug.